Bug 151970 - New port math/slatec Common Maths libraries, over 1400 fortran77 files
Summary: New port math/slatec Common Maths libraries, over 1400 fortran77 files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-05 18:20 UTC by Anton Shterenlikht
Modified: 2011-12-28 07:30 UTC (History)
0 users

See Also:


Attachments
file.shar (15.90 KB, text/plain)
2010-11-05 18:20 UTC, Anton Shterenlikht
no flags Details
slatec.shar (17.63 KB, application/x-shar)
2010-11-08 12:17 UTC, Anton Shterenlikht
no flags Details
slatec.shar (22.42 KB, application/x-shar)
2010-11-30 00:56 UTC, Anton Shterenlikht
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Shterenlikht 2010-11-05 18:20:12 UTC
New port: math/slatec
SLATEC Common Mathematical Library, Version 4.1, July 1993
a comprehensive software library containing over
1400 general purpose mathematical and statistical routines
written in Fortran 77.
Comment 1 Brendan Fabeny freebsd_committer 2010-11-06 00:28:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

I'll take it.
Comment 2 Anton Shterenlikht 2010-11-08 12:17:37 UTC
Added the missing 8 fortran files.
Corrected PLIST_FILES.

-- 
Anton Shterenlikht
Room 2.6, Queen's Building
Mech Eng Dept
Bristol University
University Walk, Bristol BS8 1TR, UK
Tel: +44 (0)117 331 5944
Fax: +44 (0)117 929 4423
Comment 3 Anton Shterenlikht 2010-11-30 00:56:14 UTC
Added regression-test



-- 
Anton Shterenlikht
Room 2.6, Queen's Building
Mech Eng Dept
Bristol University
University Walk, Bristol BS8 1TR, UK
Tel: +44 (0)117 331 5944
Fax: +44 (0)117 929 4423
Comment 4 dfilter service freebsd_committer 2011-12-28 06:02:05 UTC
bf          2011-12-28 06:01:49 UTC

  FreeBSD ports repository

  Modified files:
    math                 Makefile 
  Added files:
    math/slatec          Makefile distinfo pkg-descr 
    math/slatec/files    makefile.lib makefile.test 
  Log:
  Add slatec 4.1, SLATEC Common Mathematical Library.
  
  PR:             151970
  Submitted by:   A. Shterenlikht (original version)
  
  Revision  Changes    Path
  1.749     +1 -0      ports/math/Makefile
  1.1       +83 -0     ports/math/slatec/Makefile (new)
  1.1       +14 -0     ports/math/slatec/distinfo (new)
  1.1       +186 -0    ports/math/slatec/files/makefile.lib (new)
  1.1       +80 -0     ports/math/slatec/files/makefile.test (new)
  1.1       +4 -0      ports/math/slatec/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Brendan Fabeny freebsd_committer 2011-12-28 06:03:02 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 6 dfilter service freebsd_committer 2011-12-28 07:20:28 UTC
bf          2011-12-28 07:20:11 UTC

  FreeBSD doc repository (ports committer)

  Modified files:
    en_US.ISO8859-1/articles/contributors contrib.additional.sgml 
  Log:
  add the submitter of ports/math/slatec
  
  PR:             151970
  
  Revision  Changes    Path
  1.1047    +5 -0      doc/en_US.ISO8859-1/articles/contributors/contrib.additional.sgml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"